[project]
name = "hiking-assistant"
version = "0.1.0"
description = "This is a web app to analyze gpx for hiking planning"
readme = "README.md"
requires-python = ">=3.13"
dependencies = [
    "streamlit>=1.51.0",
    "gpxpy>=1.6.2",
    "folium>=0.18.0",
    "streamlit-folium>=0.23.1",
    "plotly>=5.24.1",
    "requests>=2.32.3",
    "geopy>=2.4.1",
    "streamlit-plotly-events>=0.0.6",
]

[dependency-groups]
dev = ["pre-commit>=4.5.0", "pytest>=9.0.1", "ruff>=0.14.6"]

[tool.ruff]
line-length = 150
target-version = "py313"

[tool.ruff.lint]
select = ["E", "F", "I"]

[tool.ruff.format]
quote-style = "single"
